<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method = "xml" indent = "yes" />

<!--
	Latest Revision 2009-03-07
	by John Mayer (jmayer@cali.org) - 312-906-5307 (office phone)
	
	This is a transform to create an HTML table from any ANX XML file
	
 -->

<xsl:template match="/AnswerSet">

	<xsl:element name="table">
	<xsl:attribute name = "border" >1</xsl:attribute>  		
	<xsl:attribute name = "cellpadding" >10</xsl:attribute>  		
		<xsl:element name="tr">
			<xsl:element name="td">
				<xsl:text>#</xsl:text>
			</xsl:element> <!-- td --> 
			<xsl:element name="td">
				<xsl:text>variable name</xsl:text>
			</xsl:element> <!-- td --> 
			<xsl:element name="td">
				<xsl:text>type</xsl:text>
			</xsl:element> <!-- td --> 
			<xsl:element name="td">
				<xsl:text>value</xsl:text>
			</xsl:element> <!-- td --> 
		</xsl:element> <!-- tr --> 

		<xsl:for-each select="//Answer">

			<xsl:variable name="getanswers" select="position()"/>

			<xsl:element name="tr">
				<xsl:element name="td">
					<xsl:value-of select="$getanswers"/>
				</xsl:element> <!-- td --> 
				<xsl:element name="td">
					<xsl:value-of select="@name"/>
				</xsl:element> <!-- td --> 
				<xsl:element name="td">

					<xsl:choose>
                        <xsl:when test="RptValue">
							<xsl:text>Multiple Text</xsl:text>
                        </xsl:when>
                        <xsl:when test="TextValue">
							<xsl:text>Text</xsl:text>
                        </xsl:when>
                        <xsl:when test="MCValue">
							<xsl:text>Multiple Choice</xsl:text>
                        </xsl:when>
                        <xsl:when test="NumValue">
							<xsl:text>Number</xsl:text>
                        </xsl:when>
                        <xsl:when test="TFValue">
							<xsl:text>True/False</xsl:text>
                        </xsl:when>
                        <xsl:when test="DateValue">
							<xsl:text>Date</xsl:text>
                        </xsl:when>
                        <xsl:otherwise>
							<xsl:text>otherwise</xsl:text>
                        </xsl:otherwise>
	                </xsl:choose>
				</xsl:element>


				<xsl:element name="td">
						<xsl:value-of select="."/> 
				</xsl:element> <!-- td --> 
			</xsl:element> <!-- tr --> 

		</xsl:for-each> <!-- end of foreach for PersonInformation -->

	</xsl:element> <!-- table --> 

</xsl:template>

</xsl:stylesheet> 
